Name:           edb
Version:        1.0.5
Release:        6
Summary:        A database convenience library wrapped around BDB
Group:          System Environment/Libraries
License:        MIT
URL:            http://enlightenment.org/index.php?id=23
Source0:        http://prdownloads.sourceforge.net/enlightenment/edb-1.0.5.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk+-devel, ncurses-devel zlib-devel which
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
EDB is a database convenience library wrapped around the Berkeley DB 2.7.7 by
Sleepycat Software. It is intended to make accessing database information
portable, easy, fast and efficient.

%package        devel
Summary:        Development libraries for edb
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The edb-devel package contains static libraries and header files for developing
edb applications.

%package        ncurses
Summary:        ncurses frontend for edb
Group:          Applications/Databases
Requires:       %{name} = %{version}-%{release}

%description    ncurses
edb-ncurses is a frontend for edb that uses ncurses

%package        gtk
Summary:        GTK+ 1.x frontend for edb
Group:          Applications/Databases
Requires:       %{name} = %{version}-%{release}

%description    gtk
edb-gtk is a frontend for edb that uses GTK+ 1.x

%prep
%setup -q

%build
#./autogen.sh %{_target_platform} --prefix=%{_prefix} --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} --datadir=%{_datadir} --includedir=%{_includedir} --libdir=%{_libdir} --libexecdir=%{_libexecdir} --localstatedir=%{_localstatedir} --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} --infodir=%{_infodir} --program-prefix=
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/edb_ed
%{_libdir}/libedb.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/edb-config
%{_includedir}/Edb.h
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/edb.pc

%files ncurses
%defattr(-,root,root,-)
%{_bindir}/edb_vt_ed

%files gtk
%defattr(-,root,root,-)
%{_bindir}/edb_gtk_ed

%changelog
* Wed Mar 23 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.5-6
- Added which to BuildRequires

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.5-5
- %%

* Fri Mar 18 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.5-4
- Fixed URL

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.5-3
- Broke %%descriptions at 80 columns

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.5-2
- Removed explicit Requires

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.5-1
- Bump release to 1
- Fix %%description of -gtk
- Fix Source0

* Wed Mar  9 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.5-0.iva.1
- Backleveled to released version

* Sun Feb  6 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.5-0.iva.0.20050205
- Initial RPM release.
